Get Sending Settings
curl --request GET \
--url https://api.lemlist.com/api/user/sending-settings \
--header 'Authorization: Basic <encoded-value>'import requests
url = "https://api.lemlist.com/api/user/sending-settings"
headers = {"Authorization": "Basic <encoded-value>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Basic <encoded-value>'}};
fetch('https://api.lemlist.com/api/user/sending-settings', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));require 'uri'
require 'net/http'
url = URI("https://api.lemlist.com/api/user/sending-settings")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Get.new(url)
request["Authorization"] = 'Basic <encoded-value>'
response = http.request(request)
puts response.read_body<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://api.lemlist.com/api/user/sending-settings",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "GET",
CURLOPT_HTTPHEADER => [
"Authorization: Basic <encoded-value>"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}{
"emailAccounts": [
{
"id": "usm_A1B2C3D4E5F6G7H8I9",
"email": "john@company.com",
"dailyEmailLimit": 80,
"userId": "usr_A1B2C3D4E5F6G7H8I9"
}
],
"bcc": null
}scope must be "team" when providedBad methodUsers
Get Sending Settings
Retrieves the daily email limit of your email accounts, or of every team member’s with scope=team.
GET
/
user
/
sending-settings
Get Sending Settings
curl --request GET \
--url https://api.lemlist.com/api/user/sending-settings \
--header 'Authorization: Basic <encoded-value>'import requests
url = "https://api.lemlist.com/api/user/sending-settings"
headers = {"Authorization": "Basic <encoded-value>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Basic <encoded-value>'}};
fetch('https://api.lemlist.com/api/user/sending-settings', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));require 'uri'
require 'net/http'
url = URI("https://api.lemlist.com/api/user/sending-settings")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Get.new(url)
request["Authorization"] = 'Basic <encoded-value>'
response = http.request(request)
puts response.read_body<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://api.lemlist.com/api/user/sending-settings",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "GET",
CURLOPT_HTTPHEADER => [
"Authorization: Basic <encoded-value>"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}{
"emailAccounts": [
{
"id": "usm_A1B2C3D4E5F6G7H8I9",
"email": "john@company.com",
"dailyEmailLimit": 80,
"userId": "usr_A1B2C3D4E5F6G7H8I9"
}
],
"bcc": null
}scope must be "team" when providedBad methodThis endpoint uses the API key to identify the user. Without
scope, only the authenticated user’s email accounts are returned.Authorizations
Query Parameters
Was this page helpful?